# Define the library
eos_sources = files(
  'private/helm.cpp',
)

eos_headers = files(
    'public/helm.h'
)

# Define the libconst library so it can be linked against by other parts of the build system
libeos = static_library('eos',
    eos_sources, 
    include_directories: include_directories('public'),
    cpp_args: ['-fvisibility=default'],
    dependencies: [const_dep, quill_dep, probe_dep, config_dep, mfem_dep],
    install : true)

eos_dep = declare_dependency(
    include_directories: include_directories('public'),
    link_with: libeos,
)
# Make headers accessible
install_headers(eos_headers, subdir : '4DSSE/eos')